"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.ImageDisplay = ImageDisplay;
exports.PNGDisplay = PNGDisplay;
exports.JPEGDisplay = JPEGDisplay;
exports.GIFDisplay = GIFDisplay;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ImageDisplay(props) {
  return _react2.default.createElement("img", { src: "data:" + props.mimetype + ";base64," + props.data });
}

ImageDisplay.propTypes = {
  data: _react2.default.PropTypes.string.isRequired,
  mimetype: _react2.default.PropTypes.string.isRequired
};

function PNGDisplay(props) {
  return _react2.default.createElement(ImageDisplay, _extends({ mimetype: "image/png" }, props));
}

function JPEGDisplay(props) {
  return _react2.default.createElement(ImageDisplay, _extends({ mimetype: "image/jpeg" }, props));
}

function GIFDisplay(props) {
  return _react2.default.createElement(ImageDisplay, _extends({ mimetype: "image/gif" }, props));
}
//# sourceMappingURL=image-display.js.map